#include "DateTimeWidget.h"

const QString DateTimeWidget::type = "DateTime";

DateTimeWidget::DateTimeWidget(QWidget *parent)
	: QDateTimeEdit(parent)
{
}

QVariant DateTimeWidget::getValue() const
{
	return dateTime();
}

void DateTimeWidget::setValue(const QVariant &value)
{
	setDateTime(value.toDateTime());
}

bool DateTimeWidget::isValueNull() const
{
	return false;
}

void DateTimeWidget::clearInput()
{
    setDateTime(QDateTime::currentDateTime());
}

